Manages enrollment actions for workflow configuration.
- Selectively Updates Enrollment Actions
Workflow Actions (0.0.2)
Workflow Actions APIs enable management of reusable action configurations that define steps within enrollment and onboarding workflows. These actions determine the behavior and prompts presented to users during network enrollment processes, such as authentication screens, terms acceptance, data collection forms, and certificate provisioning. Use these APIs to create, update, retrieve, and delete workflow action configurations for your organization.
- RUCKUS One API host for North American region.https://api.ruckus.cloud/enrollmentActions
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/enrollmentActions
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/enrollmentActions
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payload- application/json
- application/vnd.ruckus.v1+json
{ "totalPages": 0, "totalElements": 0, "first": true, "last": true, "size": 0, "content": [ null ], "number": 0, "sort": { "empty": true, "unsorted": true, "sorted": true }, "pageable": { "offset": 0, "sort": { … }, "unpaged": true, "paged": true, "pageNumber": 0, "pageSize": 0 }, "numberOfElements": 0, "empty": true }
- application/json
- application/vnd.ruckus.v1+json
Enrollment action configuration. The actionType field determines which specific action type to use. Valid actionType values: AUP, DATA_PROMPT, USER_SELECTION_SPLIT, DISPLAY_MESSAGE, DPSK, MAC_REG, USER_SELECTION_SPLIT_OPTION, PASSPHRASE.
- RUCKUS One API host for North American region.https://api.ruckus.cloud/enrollmentActions
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/enrollmentActions
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/enrollmentActions
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- application/json
- application/vnd.ruckus.v1+json
No response example- application/json
- application/vnd.ruckus.v1+json
Search criteria and pagination details
Number of records in a page.If not specified default page size of 20 will be applied.
Type of enrollment action to filter by.
- RUCKUS One API host for North American region.https://api.ruckus.cloud/enrollmentActions/query
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/enrollmentActions/query
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/enrollmentActions/query
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- application/json
- application/vnd.ruckus.v1+json
{ "sortDirection": "ASC", "page": 0, "pageSize": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "actionType": "AUP", "version": "string", "parentActionId": "12f46041-18d6-4f38-a710-58558c6996db", "sortFields": "id" }
- application/json
- application/vnd.ruckus.v1+json
{ "totalPages": 0, "totalElements": 0, "first": true, "last": true, "size": 0, "content": [ null ], "number": 0, "sort": { "empty": true, "unsorted": true, "sorted": true }, "pageable": { "offset": 0, "sort": { … }, "unpaged": true, "paged": true, "pageNumber": 0, "pageSize": 0 }, "numberOfElements": 0, "empty": true }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/enrollmentActions/{actionId}
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/enrollmentActions/{actionId}
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/enrollmentActions/{actionId}
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payload- application/json
- application/vnd.ruckus.v1+json
{ "content": null, "_links": { "property1": { … }, "property2": { … } } }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/enrollmentActions/{actionId}
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/enrollmentActions/{actionId}
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/enrollmentActions/{actionId}
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payload- application/json
- application/vnd.ruckus.v1+json
{ "requestId": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }
- application/json
- application/vnd.ruckus.v1+json
Map of field names to new values for selective update. Only include fields that need to be updated.
Key-value pairs where keys are field names and values are the new field values.
- RUCKUS One API host for North American region.https://api.ruckus.cloud/enrollmentActions/{actionId}
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/enrollmentActions/{actionId}
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/enrollmentActions/{actionId}
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- application/json
- application/vnd.ruckus.v1+json
"string"